package cn.com.qmth.examcloud.core.questions.dao.entity.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author weiwenhai
 * @describle 属性Dto
 * @date 2017.11.6
 */
public class PropertyDto implements Serializable {

    private Long orgId;

    private String coursePropertyId;

    private String parentId;

    private String id;
    
    private String code;

    private String name;

    private Integer number;

    private String remark;

    private List<PropertyDto> propertyList;

    public List<PropertyDto> getPropertyList() {
        if (propertyList == null) {
            return new ArrayList<>();
        }
        return propertyList;
    }

    public void setPropertyList(List<PropertyDto> propertyList) {
        this.propertyList = propertyList;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getCoursePropertyId() {
        return coursePropertyId;
    }

    public void setCoursePropertyId(String coursePropertyId) {
        this.coursePropertyId = coursePropertyId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

    
}